# WORLD/KERNEL options
KERNCONF = ARUNDEL
MODULES_OVERRIDE = \
netgraph/netgraph \
netgraph/socket netgraph/bluetooth/bluetooth netgraph/bluetooth/hci \
netgraph/bluetooth/l2cap netgraph/bluetooth/socket netgraph/bluetooth/ubt \
linux tmpfs sound/sound sound/driver/hda usb/uhid \
procfs pseudofs linprocfs linsysfs lindev usb/quirk geom

# GCC46 options
#.if empty(.CURDIR:M/usr/src*) && empty(.CURDIR:M/usr/obj*) && exists(/usr/local/bin/gcc46) && exists(/usr/local/bin/g++46) && exists(/usr/local/bin/cpp46)
#CC = /usr/local/bin/gcc46
#CXX = /usr/local/bin/g++46
#CPP = /usr/local/bin/cpp46
#.endif

# compiler flags
CPUTYPE ?= native
COPTFLAGS = -O0 -pipe -fno-builtin -fno-strict-aliasing -funroll-loops
CFLAGS = -O2 -pipe -fno-strict-aliasing -funroll-loops#-fno-builtin (don't use => corrupted gcc)
#CFLAGS=-O3 -march=athlon64
CXXFLAGS += -fconserve-space

# SENDMAIL options
SENDMAIL_MC = /etc/mail/freebsd.mc
SENDMAIL_SUBMIT_MC = /etc/mail/freebsd.submit.mc

# PORTS options
OVERRIDE_LINUX_BASE_PORT = f10
OVERRIDE_LINUX_NONBASE_PORTS = f10
DA4 = yes
WITH_BSDEL = yes
WITH_256_COLOR = yes

# added by use.perl 2010-10-14 16:57:25
PERL_VERSION=5.12.2

